package com.tuoheng.admin.utils;

import cn.hutool.core.util.ObjectUtil;
import com.tuoheng.admin.entity.vo.AirWeatherVO;

import java.math.BigDecimal;

public class WeatherUtil {

    public static String getWeather(AirWeatherVO airWeather) {
        if(ObjectUtil.isEmpty(airWeather) ||ObjectUtil.isEmpty(airWeather.getWth())){
            return "";
        }
        return "气温：" + new BigDecimal(airWeather.getWth().getParm().getTmp()).divide(new BigDecimal(10))+"℃"
                + "；湿度：" + new BigDecimal(airWeather.getWth().getParm().getHum()).divide(new BigDecimal(10))+"RH"
                + "；风速：" + new BigDecimal(airWeather.getWth().getParm().getWspd()).divide(new BigDecimal(10))+"M/S"
                + "；风向：" + airWeather.getWth().getParm().getWdir() + "°";
    }
}
